Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157400 - candidate window position at 0,0 in Evolution Task
Summary: candidate window position at 0,0 in Evolution Task
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 157401 FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-05-11 07:47 UTC by Lawrence Lim
Modified: 2014-03-26 00:52 UTC (History)
3 users (show)

Fixed In Version: evolution-2.7.4-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-14 07:04:52 UTC


Attachments (Terms of Use)
problem description (deleted)
2006-05-16 11:02 UTC, Mayank Jain
no flags Details
Modified patch (deleted)
2006-06-30 09:49 UTC, Mayank Jain
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 303877 None None None Never

Description Lawrence Lim 2005-05-11 07:47:31 UTC
Description of problem:
For all CJKI, users are required to select candidates from the candidate window.
In evolution, this candidate window is always positioned at 0,0. As a result, it
obstruct users from seeing what was typed earlier. It would be ideal if the
candidate window is positioned below the cursor.

Version-Release number of selected component (if applicable):
evolution-webcal-2.2.0-1
evolution-2.2.2-5
evolution-data-server-1.2.2-2
evolution-devel-2.2.2-5
evolution-data-server-devel-1.2.2-2
evolution-connector-2.2.2-3
evolution-debuginfo-2.2.2-5

How reproducible:
Always

Steps to Reproduce:
1. LANG=ja_JP.UTF-8 evolution
2. Go to task list
3. Go to new task entry in the widget
4. Type "sushi", space, space 
5. observe rthe position of the candidate window
  
Actual results:
candidate window block the user from seeing what was typed earlier

Expected results:
candidate window positioned below the cursor

Additional info:

Comment 2 Dave Malcolm 2005-06-17 23:50:50 UTC
Has this bug been filed upstream?

Comment 3 Lawrence Lim 2005-06-20 06:36:09 UTC
Yes. I have added to the External Bugzilla References section in our bz, towards
the bottom of the page.

<http://bugzilla.gnome.org/show_bug.cgi?id=303877>

Comment 4 Dave Malcolm 2005-06-25 00:14:50 UTC
Is this actually fixed upstream now (looking at that upstream report)?  Which
version?

Comment 9 Mayank Jain 2006-05-16 11:02:40 UTC
Created attachment 129172 [details]
problem description

It looks as if the bug does not appears anymore as the text being typed is
visible. 
Lawrence, can you please confirm...

Thanks,
Mayank

Comment 10 Akira TAGOH 2006-05-17 02:05:49 UTC
(In reply to comment #9)
> Created an attachment (id=129172) [edit]
> problem description
> 
> It looks as if the bug does not appears anymore as the text being typed is
> visible. 

Apparently you are confused. this is saying that the candidate window doesn't
follow at the bottom of the cursor.


Comment 11 Satyabrata Maitra 2006-06-20 12:14:45 UTC
This bug is not fixed yet. It still exists. Candidate window is not appearing 
below the cursor. Tested on the package versions :

evolution-2.7.3-2
evolution-data-server-1.7.3-2
evolution-sharp-0.11.1-1
evolution-webcal-2.7.1-4

Tested on O.S. : Fedora Core Release 5.89 (Rawhide) i386.

Comment 12 Mayank Jain 2006-06-30 09:49:46 UTC
Created attachment 131788 [details]
Modified patch

Modified an upstream patch, documented it & adapted it to latest codebase.
Things work perfect at my end now.

QE, kindly test.

Thanks,
Mayank

Comment 13 Mayank Jain 2006-06-30 09:51:21 UTC
Matthew, to apply the patch, kindly go to the $evolution/widgets/table directory
& then apply the patch.

Thanks,
Mayank

Comment 14 Matthew Barnes 2006-06-30 15:42:51 UTC
Done - evolution-2.7.3-7

Comment 15 Mayank Jain 2006-07-01 08:33:11 UTC
Thanks :)

Comment 16 A S Alam 2006-07-04 11:57:50 UTC
candidate window positioned below the cursor, which was expected behaviour

Test Envirnment:
-----------
Rawhide (FC6)
evolution-2.7.3-7
evolution-data-server-1.7.3-3
-----------


Comment 17 Mayank Jain 2006-07-13 09:22:42 UTC
Hi Matthew,
Upstream has updated the patch, can you please look at
http://bugzilla.gnome.org/show_bug.cgi?id=303877#c5

Thanks.

Comment 18 Mayank Jain 2006-07-13 09:22:59 UTC
Hi Matthew,
Upstream has updated the patch, can you please look at
http://bugzilla.gnome.org/show_bug.cgi?id=303877#c5

Thanks.

Comment 19 Matthew Barnes 2006-07-13 17:16:17 UTC
Updated the patch in Rawhide - evolution-2.7.4-2

Changing component from evolution-data-server to evolution.

Comment 20 Mayank Jain 2006-07-14 06:11:12 UTC
Thanks :)

Comment 21 A S Alam 2006-07-14 07:04:52 UTC
working fine with following version:
----
evolution-2.7.4-2
----


Note You need to log in before you can comment on or make changes to this bug.